%global namedreltag -GA
%global namedversion %{version}%{?namedreltag}
Name:           javassist
Version:        3.14.0
Release:        %mkrel 5
Summary:        The Java Programming Assistant provides simple Java bytecode manipulation
Group:          Development/Java
License:        MPLv1.1 or LGPLv2+
URL:            http://www.csg.is.titech.ac.jp/~chiba/javassist/
Source0:        http://downloads.sourceforge.net/jboss/%{name}-%{namedversion}.zip
BuildArch:      noarch

BuildRequires:     java-devel >= 0:1.6.0
BuildRequires:     jpackage-utils

BuildRequires:     maven
BuildRequires:     maven-compiler-plugin
BuildRequires:     maven-install-plugin
BuildRequires:     maven-jar-plugin
BuildRequires:     maven-javadoc-plugin
BuildRequires:     maven-resources-plugin
BuildRequires:     maven-surefire-plugin
BuildRequires:     maven-source-plugin
BuildRequires:     maven-antrun-plugin
BuildRequires:     maven-doxia
BuildRequires:     maven-doxia-sitetools

Requires:          java >= 0:1.6.0
Requires:          jpackage-utils

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

%description
Javassist enables Java programs to define a new class at runtime and to
modify a class file when the JVM loads it. Unlike other similar
bytecode editors, Javassist provides two levels of API: source level
and bytecode level. If the users use the source-level API, they can
edit a class file without knowledge of the specifications of the Java
bytecode. The whole API is designed with only the vocabulary of the
Java language. You can even specify inserted bytecode in the form of
source text; Javassist compiles it on the fly. On the other hand, the
bytecode-level API allows the users to directly edit a class file as
other editors.

%package javadoc
Summary:           Javadocs for javassist
Group:             Development/Java
Requires:          jpackage-utils

%description javadoc
javassist development documentation.

%prep
%setup -q -n %{name}-%{namedversion}

find . -name \*.jar -type f -delete

%build

mvn-rpmbuild install javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap %{name} %{name} %{namedversion} JPP %{name}
%add_to_maven_depmap org.%{name} %{name} %{namedversion} JPP %{name}
%add_to_maven_depmap jboss %{name} %{namedversion} JPP %{name}

# jar
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 target/%{name}-%{version}-GA.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc License.html Readme.html
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc License.html
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}/*



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.14.0-5.mga3
+ Revision: 354864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 03 2011 gil <gil> 3.14.0-4.mga2
+ Revision: 151297
- * corrected/modified depmap
  * rebuilt with mvn 3 support

* Thu Apr 28 2011 dmorgan <dmorgan> 3.14.0-3.mga1
+ Revision: 92535
- Rebuild after bootstrapping
- imported package javassist

